import type { Config } from "tailwindcss";

const config: Config = {
  content: [
    "./src/pages/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/components/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/app/**/*.{js,ts,jsx,tsx,mdx}",
  ],
  safeList: [
    "flex",
    "flex-col",
    "items-center",
    "mx-2",
    "w-full",
    "p-2",
    "container",
    "px-4",
    "py-8",
    "mx-auto",
    "text-right",
    "mb-4",
    "flex items-center",
    "font-bold",
    "text-error",
    "input",
    "input-bordered",
    "w-full",
    "input-error",
    "mt-1",
    "checkbox",
    "checkbox-error",
    "label-text",
    "textarea",
    "textarea-bordered",
    "textarea-error",
    "btn",
    "btn-error",
    "btn-sm",
    "btn-info",
    "text-success",
    "bg-success",
    "text-error",
    "bg-error",
    "steps",
    "steps-responsive",
    "step",
    "step-primary",
    "btn-secondary",
    "btn-primary",
    "animate-shake",
    "btn-disabled",
    "lg:w-1/4"
  ],
  prefix: "",
  theme: {
    extend: {
      animation: {
        shake: "shake 0.5s ease-in-out",
      },
      keyframes: {
        shake: {
          "0%, 100%": { transform: "translateX(0)" },
          "10%, 30%, 50%, 70%, 90%": { transform: "translateX(-5px)" },
          "20%, 40%, 60%, 80%": { transform: "translateX(5px)" },
        },
      },
    },
  },
  plugins: [
    require("@tailwindcss/forms"),
    require("@tailwindcss/typography"),
    require("tailwindcss-animate"),
    require("daisyui"),
  ],
  daisyui: {
    themes: [
      {
        nabali: {
          primary: "#34d399",
          "--fallback-p": "#34d399", // the fallbacks are effectively safari colors
          "primary-content": "#011008",
          "--fallback-pc": "#011008", // primary content
          secondary: "#f87171",
          "--fallback-s": "#f87171",
          "secondary-content": "#150404",
          "--fallback-sc": "#150404", // secondary content
          accent: "#1c1917",
          "--fallback-a": "#1c1917",
          "accent-content": "#cccbcb",
          "--fallback-ac": "#cccbcb",
          neutral: "#ecfccb",
          "--fallback-n": "#ecfccb",
          "neutral-content": "#13160f",
          "--fallback-nc": "#13160f",
          "base-100": "#fff4e5",
          "--fallback-b1": "#fff4e5",
          "base-200": "#ded4c7",
          "--fallback-b2": "#ded4c7",
          "base-300": "#beb5aa",
          "--fallback-b3": "#beb5aa",
          "base-content": "#161412",
          "--fallback-bc": "#161412",
          info: "#00e6ff",
          "--fallback-in": "#00e6ff",
          "info-content": "#001316",
          "--fallback-inc": "#001316",
          success: "#00e26a",
          "--fallback-su": "#00e26a",
          "success-content": "#001204",
          "--fallback-suc": "#001204",
          warning: "#eab308",
          "--fallback-wa": "#eab308",
          "warning-content": "#130c00",
          "--fallback-wac": "#130c00",
          error: "#b91c1c",
          "--fallback-er": "#b91c1c",
          "error-content": "#f7d5d1",
          "--fallback-erc": "#f7d5d1",
        },
      },
    ],
    utils: true,
    themeRoot: ":root",
    styled: true,
    base: true,
  },
};

export default config;
